smbios_memarraymap_t Struct Reference
Public interface » ID macros » SMBIOS structures

memory array mapped address More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
int | array_handle
| memory array this mapping belongs to
uint64_t | start_addr
| memory range start address
uint64_t | end_addr
| end address
unsigned | part_width
| number of memory devices

## Detailed Description

memory array mapped address

The documentation for this struct was generated from the following file:

- hd.h